Create Comments
/unified/ticketing/comments
Query Parameters
Refer Specifying query parameters in Truto APIs
Set either ticket or collections.
11 supported6 required
The unique identifier for a ticket
The unique identifier for a ticket
1 supported1 required
Collection with type epic is required.
1 supported
The unique identifier for a collection.
1 supported
The unique identifier for a organization.
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
Optional list of attachments to be attached to this thread.
9 supported
The mime type of the file
The base64 encoded data of the file
The name of the file
The time when the attachment was created
The URL to download the attachment
The unique identifier for the attachment
The user who uploaded the attachment
2 properties
The user who uploaded the attachment
The user who uploaded the attachment
The type of the user who uploaded the attachment
The id of the user or contact who created the comment
11 supported2 required
Unique identifier of the user. Required if type is "user".
Type of the author
usercontactsystemusercontact
Required if type is set to "contact"
1 property
Email address of the contact
The name of the user or contact who created the comment
The username of the user or contact who created the comment
Collection of strings representing email addresses.
1 supported
One of body or html_body is required.
11 supported10 required
Collection of strings representing email addresses.
1 supported
The medium through which the comment was sent.
1 supported
The unique identifier for the channel
The name of the channel
The type of the channel
Either ticket or collections is required.
1 supported
Required if creating an outbound reply.
1 supported
1 property
Email address of the contact
The id of the contact who created the comment.
1 supported1 required
The date and time when the comment was created
11 supported
1 supported
If set to true, a draft reply is created.
1 supported
One of body or html_body is required.
5 supported1 required
The imported field enables thread to be created for historical purposes (i.e. if moving from a different platform, you can import your history). When imported is set to true, no outgoing emails or notifications will be generated.
1 supported
Set this value as true if the comment is internal note.
true
3 supported
trueWhether the comment is private or not
3 supported
The id of the user or contact who is receiving the comment
2 supported1 required
The id of the user or contact who receiving the comment
Type of the receiver
usercontactsystem
The name of the user or contact who receiving the comment
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
Use this field to change conversation status when adding a thread. If not explicitly set, a reply thread will reactivate the conversation.
1 supported
The subject of the comment
1 supported
Either ticket or collections is required.
11 supported1 required
The unique identifier for a ticket
ID of the user who is adding the thread. The resource owner is the default when not set.
1 supported
Response Body
The unique identifier for a comment
12 supported
The attachments of the comment
9 supported
The content type of the attachment
The time when the attachment was created
The attachment's name.
The URL to download the attachment
The unique identifier for the attachment
The user who uploaded the attachment
2 properties
The user who uploaded the attachment
The user who uploaded the attachment
The type of the user who uploaded the attachment
The id of the user or contact who created the comment
10 supported
The id of the user or contact who created the comment
Type of the author
usercontactsystem
The name of the user or contact who created the comment
The username of the user or contact who created the comment
The body of the comment
10 supported
The medium through which the comment was sent.
1 supported
The unique identifier for the channel
The name of the channel
The type of the channel
The date and time when the comment was created
11 supported
The unique identifier for the specific version of the resource.
The body of the comment in HTML format
5 supported
Whether the comment is internal. True for internal notes left by users.
3 supported
Whether the comment is private or not
3 supported
The id of the user or contact who is receiving the comment
1 supported
The id of the user or contact who receiving the comment
Type of the receiver
usercontactsystem
The name of the user or contact who receiving the comment
Raw data returned from the remote API call.
The ticket to which the comment belongs
11 supported
The unique identifier for a ticket
The date and time when the comment was updated
5 supported
curl -X POST 'https://api.truto.one/unified/ticketing/comments?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"body": "your_body",
"author": {},
"is_internal": true,
"html_body": "your_html_body",
"attachments": [],
"channel": {},
"created_at": "your_created_at",
"receiver": {},
"subject": "your_subject",
"draft": true,
"contact_id": "your_contact_id",
"user_id": "your_user_id",
"imported": true,
"status": "your_status",
"cc": [],
"bcc": [],
"ticket": {},
"is_private": true,
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"body": "your_body",
"author": {},
"is_internal": true,
"html_body": "your_html_body",
"attachments": [],
"channel": {},
"created_at": "your_created_at",
"receiver": {},
"subject": "your_subject",
"draft": true,
"contact_id": "your_contact_id",
"user_id": "your_user_id",
"imported": true,
"status": "your_status",
"cc": [],
"bcc": [],
"ticket": {},
"is_private": true,
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/ticketing/comments?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/comments"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"body": "your_body",
"author": {},
"is_internal": True,
"html_body": "your_html_body",
"attachments": [],
"channel": {},
"created_at": "your_created_at",
"receiver": {},
"subject": "your_subject",
"draft": True,
"contact_id": "your_contact_id",
"user_id": "your_user_id",
"imported": True,
"status": "your_status",
"cc": [],
"bcc": [],
"ticket": {},
"is_private": True,
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'ticketing',
'comments',
{
"body": "your_body",
"author": {},
"is_internal": true,
"html_body": "your_html_body",
"attachments": [],
"channel": {},
"created_at": "your_created_at",
"receiver": {},
"subject": "your_subject",
"draft": true,
"contact_id": "your_contact_id",
"user_id": "your_user_id",
"imported": true,
"status": "your_status",
"cc": [],
"bcc": [],
"ticket": {},
"is_private": true,
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"ticketing",
"comments",
{
"body": "your_body",
"author": {},
"is_internal": True,
"html_body": "your_html_body",
"attachments": [],
"channel": {},
"created_at": "your_created_at",
"receiver": {},
"subject": "your_subject",
"draft": True,
"contact_id": "your_contact_id",
"user_id": "your_user_id",
"imported": True,
"status": "your_status",
"cc": [],
"bcc": [],
"ticket": {},
"is_private": True,
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())